Index: sys/compat/linux/arch/amd64/linux_sysent.c
===================================================================
RCS file: /cvsroot/src/sys/compat/linux/arch/amd64/linux_sysent.c,v
retrieving revision 1.44
diff -u -r1.44 linux_sysent.c
--- sys/compat/linux/arch/amd64/linux_sysent.c	8 Apr 2013 20:58:22 -0000	1.44
+++ sys/compat/linux/arch/amd64/linux_sysent.c	24 Jun 2013 19:14:24 -0000
@@ -40,1066 +40,1066 @@
 
 struct sysent linux_sysent[] = {
 	{ ns(struct sys_read_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_read },		/* 0 = read */
+	    (sy_call_t *)sys_read, NULL, 0, 0 },		/* 0 = read */
 	{ ns(struct sys_write_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_write },		/* 1 = write */
+	    (sy_call_t *)sys_write, NULL, 0, 0 },		/* 1 = write */
 	{ ns(struct linux_sys_open_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_open },	/* 2 = open */
+	    (sy_call_t *)linux_sys_open, NULL, 0, 0 },	/* 2 = open */
 	{ ns(struct sys_close_args), 0,
-	    (sy_call_t *)sys_close },		/* 3 = close */
+	    (sy_call_t *)sys_close, NULL, 0, 0 },		/* 3 = close */
 	{ ns(struct linux_sys_stat64_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_stat64 },	/* 4 = stat64 */
+	    (sy_call_t *)linux_sys_stat64, NULL, 0, 0 },	/* 4 = stat64 */
 	{ ns(struct linux_sys_fstat64_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_fstat64 },	/* 5 = fstat64 */
+	    (sy_call_t *)linux_sys_fstat64, NULL, 0, 0 },	/* 5 = fstat64 */
 	{ ns(struct linux_sys_lstat64_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_lstat64 },	/* 6 = lstat64 */
+	    (sy_call_t *)linux_sys_lstat64, NULL, 0, 0 },	/* 6 = lstat64 */
 	{ ns(struct sys_poll_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_poll },		/* 7 = poll */
+	    (sy_call_t *)sys_poll, NULL, 0, 0 },		/* 7 = poll */
 	{ ns(struct compat_43_sys_lseek_args), 0,
-	    (sy_call_t *)compat_43_sys_lseek },	/* 8 = lseek */
+	    (sy_call_t *)compat_43_sys_lseek, NULL, 0, 0 },	/* 8 = lseek */
 	{ ns(struct linux_sys_mmap_args), 0,
-	    (sy_call_t *)linux_sys_mmap },	/* 9 = mmap */
+	    (sy_call_t *)linux_sys_mmap, NULL, 0, 0 },	/* 9 = mmap */
 	{ ns(struct linux_sys_mprotect_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_mprotect },	/* 10 = mprotect */
+	    (sy_call_t *)linux_sys_mprotect, NULL, 0, 0 },	/* 10 = mprotect */
 	{ ns(struct sys_munmap_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_munmap },		/* 11 = munmap */
+	    (sy_call_t *)sys_munmap, NULL, 0, 0 },		/* 11 = munmap */
 	{ ns(struct linux_sys_brk_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_brk },	/* 12 = brk */
+	    (sy_call_t *)linux_sys_brk, NULL, 0, 0 },	/* 12 = brk */
 	{ ns(struct linux_sys_rt_sigaction_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_rt_sigaction },/* 13 = rt_sigaction */
+	    (sy_call_t *)linux_sys_rt_sigaction, NULL, 0, 0 },/* 13 = rt_sigaction */
 	{ ns(struct linux_sys_rt_sigprocmask_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_rt_sigprocmask },/* 14 = rt_sigprocmask */
+	    (sy_call_t *)linux_sys_rt_sigprocmask, NULL, 0, 0 },/* 14 = rt_sigprocmask */
 	{ 0, 0, 0,
-	    (sy_call_t *)linux_sys_rt_sigreturn },/* 15 = rt_sigreturn */
+	    (sy_call_t *)linux_sys_rt_sigreturn, NULL, 0, 0 },/* 15 = rt_sigreturn */
 	{ ns(struct linux_sys_ioctl_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_ioctl },	/* 16 = ioctl */
+	    (sy_call_t *)linux_sys_ioctl, NULL, 0, 0 },	/* 16 = ioctl */
 	{ ns(struct linux_sys_pread_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_pread },	/* 17 = pread */
+	    (sy_call_t *)linux_sys_pread, NULL, 0, 0 },	/* 17 = pread */
 	{ ns(struct linux_sys_pwrite_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_pwrite },	/* 18 = pwrite */
+	    (sy_call_t *)linux_sys_pwrite, NULL, 0, 0 },	/* 18 = pwrite */
 	{ ns(struct sys_readv_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_readv },		/* 19 = readv */
+	    (sy_call_t *)sys_readv, NULL, 0, 0 },		/* 19 = readv */
 	{ ns(struct sys_writev_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_writev },		/* 20 = writev */
+	    (sy_call_t *)sys_writev, NULL, 0, 0 },		/* 20 = writev */
 	{ ns(struct sys_access_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_access },		/* 21 = access */
+	    (sy_call_t *)sys_access, NULL, 0, 0 },		/* 21 = access */
 	{ ns(struct linux_sys_pipe_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_pipe },	/* 22 = pipe */
+	    (sy_call_t *)linux_sys_pipe, NULL, 0, 0 },	/* 22 = pipe */
 	{ ns(struct linux_sys_select_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_select },	/* 23 = select */
+	    (sy_call_t *)linux_sys_select, NULL, 0, 0 },	/* 23 = select */
 	{ 0, 0, 0,
-	    (sy_call_t *)linux_sys_sched_yield },/* 24 = sched_yield */
+	    (sy_call_t *)linux_sys_sched_yield, NULL, 0, 0 },/* 24 = sched_yield */
 	{ ns(struct linux_sys_mremap_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_mremap },	/* 25 = mremap */
+	    (sy_call_t *)linux_sys_mremap, NULL, 0, 0 },	/* 25 = mremap */
 	{ ns(struct sys___msync13_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys___msync13 },	/* 26 = __msync13 */
+	    (sy_call_t *)sys___msync13, NULL, 0, 0 },	/* 26 = __msync13 */
 	{ ns(struct sys_mincore_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_mincore },		/* 27 = mincore */
+	    (sy_call_t *)sys_mincore, NULL, 0, 0 },		/* 27 = mincore */
 	{ ns(struct sys_madvise_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_madvise },		/* 28 = madvise */
+	    (sy_call_t *)sys_madvise, NULL, 0, 0 },		/* 28 = madvise */
 #ifdef SYSVSHM
 	{ ns(struct linux_sys_shmget_args), 0,
-	    (sy_call_t *)linux_sys_shmget },	/* 29 = shmget */
+	    (sy_call_t *)linux_sys_shmget, NULL, 0, 0 },	/* 29 = shmget */
 	{ ns(struct sys_shmat_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_shmat },		/* 30 = shmat */
+	    (sy_call_t *)sys_shmat, NULL, 0, 0 },		/* 30 = shmat */
 	{ ns(struct linux_sys_shmctl_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_shmctl },	/* 31 = shmctl */
+	    (sy_call_t *)linux_sys_shmctl, NULL, 0, 0 },	/* 31 = shmctl */
 #else
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 29 = unimplemented shmget */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 29 = unimplemented shmget */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 30 = unimplemented shmat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 30 = unimplemented shmat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 31 = unimplemented shmctl */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 31 = unimplemented shmctl */
 #endif
 	{ ns(struct sys_dup_args), 0,
-	    (sy_call_t *)sys_dup },		/* 32 = dup */
+	    (sy_call_t *)sys_dup, NULL, 0, 0 },		/* 32 = dup */
 	{ ns(struct sys_dup2_args), 0,
-	    (sy_call_t *)sys_dup2 },		/* 33 = dup2 */
+	    (sy_call_t *)sys_dup2, NULL, 0, 0 },		/* 33 = dup2 */
 	{ 0, 0, 0,
-	    (sy_call_t *)linux_sys_pause },	/* 34 = pause */
+	    (sy_call_t *)linux_sys_pause, NULL, 0, 0 },	/* 34 = pause */
 	{ ns(struct linux_sys_nanosleep_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_nanosleep },	/* 35 = nanosleep */
+	    (sy_call_t *)linux_sys_nanosleep, NULL, 0, 0 },	/* 35 = nanosleep */
 	{ ns(struct compat_50_sys_getitimer_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)compat_50_sys_getitimer },/* 36 = getitimer */
+	    (sy_call_t *)compat_50_sys_getitimer, NULL, 0, 0 },/* 36 = getitimer */
 	{ ns(struct linux_sys_alarm_args), 0,
-	    (sy_call_t *)linux_sys_alarm },	/* 37 = alarm */
+	    (sy_call_t *)linux_sys_alarm, NULL, 0, 0 },	/* 37 = alarm */
 	{ ns(struct compat_50_sys_setitimer_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)compat_50_sys_setitimer },/* 38 = setitimer */
+	    (sy_call_t *)compat_50_sys_setitimer, NULL, 0, 0 },/* 38 = setitimer */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getpid },		/* 39 = getpid */
+	    (sy_call_t *)sys_getpid, NULL, 0, 0 },		/* 39 = getpid */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 40 = unimplemented sendfile */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 40 = unimplemented sendfile */
 	{ ns(struct linux_sys_socket_args), 0,
-	    (sy_call_t *)linux_sys_socket },	/* 41 = socket */
+	    (sy_call_t *)linux_sys_socket, NULL, 0, 0 },	/* 41 = socket */
 	{ ns(struct linux_sys_connect_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_connect },	/* 42 = connect */
+	    (sy_call_t *)linux_sys_connect, NULL, 0, 0 },	/* 42 = connect */
 	{ ns(struct linux_sys_accept_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_accept },	/* 43 = oaccept */
+	    (sy_call_t *)linux_sys_accept, NULL, 0, 0 },	/* 43 = oaccept */
 	{ ns(struct linux_sys_sendto_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sendto },	/* 44 = sendto */
+	    (sy_call_t *)linux_sys_sendto, NULL, 0, 0 },	/* 44 = sendto */
 	{ ns(struct linux_sys_recvfrom_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_recvfrom },	/* 45 = recvfrom */
+	    (sy_call_t *)linux_sys_recvfrom, NULL, 0, 0 },	/* 45 = recvfrom */
 	{ ns(struct linux_sys_sendmsg_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sendmsg },	/* 46 = sendmsg */
+	    (sy_call_t *)linux_sys_sendmsg, NULL, 0, 0 },	/* 46 = sendmsg */
 	{ ns(struct linux_sys_recvmsg_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_recvmsg },	/* 47 = recvmsg */
+	    (sy_call_t *)linux_sys_recvmsg, NULL, 0, 0 },	/* 47 = recvmsg */
 	{ ns(struct sys_shutdown_args), 0,
-	    (sy_call_t *)sys_shutdown },	/* 48 = shutdown */
+	    (sy_call_t *)sys_shutdown, NULL, 0, 0 },	/* 48 = shutdown */
 	{ ns(struct linux_sys_bind_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_bind },	/* 49 = bind */
+	    (sy_call_t *)linux_sys_bind, NULL, 0, 0 },	/* 49 = bind */
 	{ ns(struct sys_listen_args), 0,
-	    (sy_call_t *)sys_listen },		/* 50 = listen */
+	    (sy_call_t *)sys_listen, NULL, 0, 0 },		/* 50 = listen */
 	{ ns(struct linux_sys_getsockname_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getsockname },/* 51 = getsockname */
+	    (sy_call_t *)linux_sys_getsockname, NULL, 0, 0 },/* 51 = getsockname */
 	{ ns(struct linux_sys_getpeername_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getpeername },/* 52 = getpeername */
+	    (sy_call_t *)linux_sys_getpeername, NULL, 0, 0 },/* 52 = getpeername */
 	{ ns(struct linux_sys_socketpair_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_socketpair },/* 53 = socketpair */
+	    (sy_call_t *)linux_sys_socketpair, NULL, 0, 0 },/* 53 = socketpair */
 	{ ns(struct linux_sys_setsockopt_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_setsockopt },/* 54 = setsockopt */
+	    (sy_call_t *)linux_sys_setsockopt, NULL, 0, 0 },/* 54 = setsockopt */
 	{ ns(struct linux_sys_getsockopt_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getsockopt },/* 55 = getsockopt */
+	    (sy_call_t *)linux_sys_getsockopt, NULL, 0, 0 },/* 55 = getsockopt */
 	{ ns(struct linux_sys_clone_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_clone },	/* 56 = clone */
+	    (sy_call_t *)linux_sys_clone, NULL, 0, 0 },	/* 56 = clone */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_fork },		/* 57 = fork */
+	    (sy_call_t *)sys_fork, NULL, 0, 0 },		/* 57 = fork */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys___vfork14 },	/* 58 = __vfork14 */
+	    (sy_call_t *)sys___vfork14, NULL, 0, 0 },	/* 58 = __vfork14 */
 	{ ns(struct sys_execve_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_execve },		/* 59 = execve */
+	    (sy_call_t *)sys_execve, NULL, 0, 0 },		/* 59 = execve */
 	{ ns(struct linux_sys_exit_args), 0,
-	    (sy_call_t *)linux_sys_exit },	/* 60 = exit */
+	    (sy_call_t *)linux_sys_exit, NULL, 0, 0 },	/* 60 = exit */
 	{ ns(struct linux_sys_wait4_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_wait4 },	/* 61 = wait4 */
+	    (sy_call_t *)linux_sys_wait4, NULL, 0, 0 },	/* 61 = wait4 */
 	{ ns(struct linux_sys_kill_args), 0,
-	    (sy_call_t *)linux_sys_kill },	/* 62 = kill */
+	    (sy_call_t *)linux_sys_kill, NULL, 0, 0 },	/* 62 = kill */
 	{ ns(struct linux_sys_uname_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_uname },	/* 63 = uname */
+	    (sy_call_t *)linux_sys_uname, NULL, 0, 0 },	/* 63 = uname */
 #ifdef SYSVSEM
 	{ ns(struct sys_semget_args), 0,
-	    (sy_call_t *)sys_semget },		/* 64 = semget */
+	    (sy_call_t *)sys_semget, NULL, 0, 0 },		/* 64 = semget */
 	{ ns(struct sys_semop_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_semop },		/* 65 = semop */
+	    (sy_call_t *)sys_semop, NULL, 0, 0 },		/* 65 = semop */
 	{ ns(struct linux_sys_semctl_args), 0,
-	    (sy_call_t *)linux_sys_semctl },	/* 66 = semctl */
+	    (sy_call_t *)linux_sys_semctl, NULL, 0, 0 },	/* 66 = semctl */
 #else
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 64 = unimplemented semget */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 64 = unimplemented semget */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 65 = unimplemented semop */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 65 = unimplemented semop */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 66 = unimplemented semctl */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 66 = unimplemented semctl */
 #endif
 #ifdef SYSVSHM
 	{ ns(struct sys_shmdt_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_shmdt },		/* 67 = shmdt */
+	    (sy_call_t *)sys_shmdt, NULL, 0, 0 },		/* 67 = shmdt */
 #else
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 67 = unimplemented shmdt */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 67 = unimplemented shmdt */
 #endif
 #ifdef SYSVMSG
 	{ ns(struct sys_msgget_args), 0,
-	    (sy_call_t *)sys_msgget },		/* 68 = msgget */
+	    (sy_call_t *)sys_msgget, NULL, 0, 0 },		/* 68 = msgget */
 	{ ns(struct sys_msgsnd_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_msgsnd },		/* 69 = msgsnd */
+	    (sy_call_t *)sys_msgsnd, NULL, 0, 0 },		/* 69 = msgsnd */
 	{ ns(struct sys_msgrcv_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_msgrcv },		/* 70 = msgrcv */
+	    (sy_call_t *)sys_msgrcv, NULL, 0, 0 },		/* 70 = msgrcv */
 	{ ns(struct linux_sys_msgctl_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_msgctl },	/* 71 = msgctl */
+	    (sy_call_t *)linux_sys_msgctl, NULL, 0, 0 },	/* 71 = msgctl */
 #else
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 68 = unimplemented msgget */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 68 = unimplemented msgget */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 69 = unimplemented msgsnd */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 69 = unimplemented msgsnd */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 70 = unimplemented msgrcv */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 70 = unimplemented msgrcv */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 71 = unimplemented msgctl */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 71 = unimplemented msgctl */
 #endif
 	{ ns(struct linux_sys_fcntl_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_fcntl },	/* 72 = fcntl */
+	    (sy_call_t *)linux_sys_fcntl, NULL, 0, 0 },	/* 72 = fcntl */
 	{ ns(struct sys_flock_args), 0,
-	    (sy_call_t *)sys_flock },		/* 73 = flock */
+	    (sy_call_t *)sys_flock, NULL, 0, 0 },		/* 73 = flock */
 	{ ns(struct sys_fsync_args), 0,
-	    (sy_call_t *)sys_fsync },		/* 74 = fsync */
+	    (sy_call_t *)sys_fsync, NULL, 0, 0 },		/* 74 = fsync */
 	{ ns(struct linux_sys_fdatasync_args), 0,
-	    (sy_call_t *)linux_sys_fdatasync },	/* 75 = fdatasync */
+	    (sy_call_t *)linux_sys_fdatasync, NULL, 0, 0 },	/* 75 = fdatasync */
 	{ ns(struct linux_sys_truncate64_args), SYCALL_NARGS64_VAL(1) | SYCALL_ARG1_64 | SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_truncate64 },/* 76 = truncate64 */
+	    (sy_call_t *)linux_sys_truncate64, NULL, 0, 0 },/* 76 = truncate64 */
 	{ ns(struct linux_sys_ftruncate64_args), SYCALL_NARGS64_VAL(1) | SYCALL_ARG1_64,
-	    (sy_call_t *)linux_sys_ftruncate64 },/* 77 = ftruncate64 */
+	    (sy_call_t *)linux_sys_ftruncate64, NULL, 0, 0 },/* 77 = ftruncate64 */
 	{ ns(struct linux_sys_getdents_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getdents },	/* 78 = getdents */
+	    (sy_call_t *)linux_sys_getdents, NULL, 0, 0 },	/* 78 = getdents */
 	{ ns(struct sys___getcwd_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys___getcwd },	/* 79 = __getcwd */
+	    (sy_call_t *)sys___getcwd, NULL, 0, 0 },	/* 79 = __getcwd */
 	{ ns(struct sys_chdir_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_chdir },		/* 80 = chdir */
+	    (sy_call_t *)sys_chdir, NULL, 0, 0 },		/* 80 = chdir */
 	{ ns(struct sys_fchdir_args), 0,
-	    (sy_call_t *)sys_fchdir },		/* 81 = fchdir */
+	    (sy_call_t *)sys_fchdir, NULL, 0, 0 },		/* 81 = fchdir */
 	{ ns(struct sys___posix_rename_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys___posix_rename },	/* 82 = __posix_rename */
+	    (sy_call_t *)sys___posix_rename, NULL, 0, 0 },	/* 82 = __posix_rename */
 	{ ns(struct sys_mkdir_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_mkdir },		/* 83 = mkdir */
+	    (sy_call_t *)sys_mkdir, NULL, 0, 0 },		/* 83 = mkdir */
 	{ ns(struct sys_rmdir_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_rmdir },		/* 84 = rmdir */
+	    (sy_call_t *)sys_rmdir, NULL, 0, 0 },		/* 84 = rmdir */
 	{ ns(struct linux_sys_creat_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_creat },	/* 85 = creat */
+	    (sy_call_t *)linux_sys_creat, NULL, 0, 0 },	/* 85 = creat */
 	{ ns(struct sys_link_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_link },		/* 86 = link */
+	    (sy_call_t *)sys_link, NULL, 0, 0 },		/* 86 = link */
 	{ ns(struct linux_sys_unlink_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_unlink },	/* 87 = unlink */
+	    (sy_call_t *)linux_sys_unlink, NULL, 0, 0 },	/* 87 = unlink */
 	{ ns(struct sys_symlink_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_symlink },		/* 88 = symlink */
+	    (sy_call_t *)sys_symlink, NULL, 0, 0 },		/* 88 = symlink */
 	{ ns(struct sys_readlink_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_readlink },	/* 89 = readlink */
+	    (sy_call_t *)sys_readlink, NULL, 0, 0 },	/* 89 = readlink */
 	{ ns(struct sys_chmod_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_chmod },		/* 90 = chmod */
+	    (sy_call_t *)sys_chmod, NULL, 0, 0 },		/* 90 = chmod */
 	{ ns(struct sys_fchmod_args), 0,
-	    (sy_call_t *)sys_fchmod },		/* 91 = fchmod */
+	    (sy_call_t *)sys_fchmod, NULL, 0, 0 },		/* 91 = fchmod */
 	{ ns(struct sys___posix_chown_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys___posix_chown },	/* 92 = __posix_chown */
+	    (sy_call_t *)sys___posix_chown, NULL, 0, 0 },	/* 92 = __posix_chown */
 	{ ns(struct sys___posix_fchown_args), 0,
-	    (sy_call_t *)sys___posix_fchown },	/* 93 = __posix_fchown */
+	    (sy_call_t *)sys___posix_fchown, NULL, 0, 0 },	/* 93 = __posix_fchown */
 	{ ns(struct sys___posix_lchown_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys___posix_lchown },	/* 94 = __posix_lchown */
+	    (sy_call_t *)sys___posix_lchown, NULL, 0, 0 },	/* 94 = __posix_lchown */
 	{ ns(struct sys_umask_args), 0,
-	    (sy_call_t *)sys_umask },		/* 95 = umask */
+	    (sy_call_t *)sys_umask, NULL, 0, 0 },		/* 95 = umask */
 	{ ns(struct linux_sys_gettimeofday_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_gettimeofday },/* 96 = gettimeofday */
+	    (sy_call_t *)linux_sys_gettimeofday, NULL, 0, 0 },/* 96 = gettimeofday */
 	{ ns(struct linux_sys_getrlimit_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getrlimit },	/* 97 = getrlimit */
+	    (sy_call_t *)linux_sys_getrlimit, NULL, 0, 0 },	/* 97 = getrlimit */
 	{ ns(struct compat_50_sys_getrusage_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)compat_50_sys_getrusage },/* 98 = getrusage */
+	    (sy_call_t *)compat_50_sys_getrusage, NULL, 0, 0 },/* 98 = getrusage */
 	{ ns(struct linux_sys_sysinfo_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sysinfo },	/* 99 = sysinfo */
+	    (sy_call_t *)linux_sys_sysinfo, NULL, 0, 0 },	/* 99 = sysinfo */
 	{ ns(struct linux_sys_times_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_times },	/* 100 = times */
+	    (sy_call_t *)linux_sys_times, NULL, 0, 0 },	/* 100 = times */
 	{ ns(struct linux_sys_ptrace_args), 0,
-	    (sy_call_t *)linux_sys_ptrace },	/* 101 = ptrace */
+	    (sy_call_t *)linux_sys_ptrace, NULL, 0, 0 },	/* 101 = ptrace */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getuid },		/* 102 = getuid */
+	    (sy_call_t *)sys_getuid, NULL, 0, 0 },		/* 102 = getuid */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 103 = unimplemented syslog */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 103 = unimplemented syslog */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getgid },		/* 104 = getgid */
+	    (sy_call_t *)sys_getgid, NULL, 0, 0 },		/* 104 = getgid */
 	{ ns(struct sys_setuid_args), 0,
-	    (sy_call_t *)sys_setuid },		/* 105 = setuid */
+	    (sy_call_t *)sys_setuid, NULL, 0, 0 },		/* 105 = setuid */
 	{ ns(struct sys_setgid_args), 0,
-	    (sy_call_t *)sys_setgid },		/* 106 = setgid */
+	    (sy_call_t *)sys_setgid, NULL, 0, 0 },		/* 106 = setgid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_geteuid },		/* 107 = geteuid */
+	    (sy_call_t *)sys_geteuid, NULL, 0, 0 },		/* 107 = geteuid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getegid },		/* 108 = getegid */
+	    (sy_call_t *)sys_getegid, NULL, 0, 0 },		/* 108 = getegid */
 	{ ns(struct sys_setpgid_args), 0,
-	    (sy_call_t *)sys_setpgid },		/* 109 = setpgid */
+	    (sy_call_t *)sys_setpgid, NULL, 0, 0 },		/* 109 = setpgid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getppid },		/* 110 = getppid */
+	    (sy_call_t *)sys_getppid, NULL, 0, 0 },		/* 110 = getppid */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_getpgrp },		/* 111 = getpgrp */
+	    (sy_call_t *)sys_getpgrp, NULL, 0, 0 },		/* 111 = getpgrp */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_setsid },		/* 112 = setsid */
+	    (sy_call_t *)sys_setsid, NULL, 0, 0 },		/* 112 = setsid */
 	{ ns(struct sys_setreuid_args), 0,
-	    (sy_call_t *)sys_setreuid },	/* 113 = setreuid */
+	    (sy_call_t *)sys_setreuid, NULL, 0, 0 },	/* 113 = setreuid */
 	{ ns(struct sys_setregid_args), 0,
-	    (sy_call_t *)sys_setregid },	/* 114 = setregid */
+	    (sy_call_t *)sys_setregid, NULL, 0, 0 },	/* 114 = setregid */
 	{ ns(struct sys_getgroups_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_getgroups },	/* 115 = getgroups */
+	    (sy_call_t *)sys_getgroups, NULL, 0, 0 },	/* 115 = getgroups */
 	{ ns(struct sys_setgroups_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_setgroups },	/* 116 = setgroups */
+	    (sy_call_t *)sys_setgroups, NULL, 0, 0 },	/* 116 = setgroups */
 	{ ns(struct linux_sys_setresuid_args), 0,
-	    (sy_call_t *)linux_sys_setresuid },	/* 117 = setresuid */
+	    (sy_call_t *)linux_sys_setresuid, NULL, 0, 0 },	/* 117 = setresuid */
 	{ ns(struct linux_sys_getresuid_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getresuid },	/* 118 = getresuid */
+	    (sy_call_t *)linux_sys_getresuid, NULL, 0, 0 },	/* 118 = getresuid */
 	{ ns(struct linux_sys_setresgid_args), 0,
-	    (sy_call_t *)linux_sys_setresgid },	/* 119 = setresgid */
+	    (sy_call_t *)linux_sys_setresgid, NULL, 0, 0 },	/* 119 = setresgid */
 	{ ns(struct linux_sys_getresgid_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getresgid },	/* 120 = getresgid */
+	    (sy_call_t *)linux_sys_getresgid, NULL, 0, 0 },	/* 120 = getresgid */
 	{ ns(struct sys_getpgid_args), 0,
-	    (sy_call_t *)sys_getpgid },		/* 121 = getpgid */
+	    (sy_call_t *)sys_getpgid, NULL, 0, 0 },		/* 121 = getpgid */
 	{ ns(struct linux_sys_setfsuid_args), 0,
-	    (sy_call_t *)linux_sys_setfsuid },	/* 122 = setfsuid */
+	    (sy_call_t *)linux_sys_setfsuid, NULL, 0, 0 },	/* 122 = setfsuid */
 	{ ns(struct linux_sys_setfsgid_args), 0,
-	    (sy_call_t *)linux_sys_setfsgid },	/* 123 = setfsgid */
+	    (sy_call_t *)linux_sys_setfsgid, NULL, 0, 0 },	/* 123 = setfsgid */
 	{ ns(struct sys_getsid_args), 0,
-	    (sy_call_t *)sys_getsid },		/* 124 = getsid */
+	    (sy_call_t *)sys_getsid, NULL, 0, 0 },		/* 124 = getsid */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 125 = unimplemented capget */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 125 = unimplemented capget */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 126 = unimplemented capset */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 126 = unimplemented capset */
 	{ ns(struct linux_sys_rt_sigpending_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_rt_sigpending },/* 127 = rt_sigpending */
+	    (sy_call_t *)linux_sys_rt_sigpending, NULL, 0, 0 },/* 127 = rt_sigpending */
 	{ ns(struct linux_sys_rt_sigtimedwait_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_rt_sigtimedwait },/* 128 = rt_sigtimedwait */
+	    (sy_call_t *)linux_sys_rt_sigtimedwait, NULL, 0, 0 },/* 128 = rt_sigtimedwait */
 	{ ns(struct linux_sys_rt_queueinfo_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_rt_queueinfo },/* 129 = rt_queueinfo */
+	    (sy_call_t *)linux_sys_rt_queueinfo, NULL, 0, 0 },/* 129 = rt_queueinfo */
 	{ ns(struct linux_sys_rt_sigsuspend_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_rt_sigsuspend },/* 130 = rt_sigsuspend */
+	    (sy_call_t *)linux_sys_rt_sigsuspend, NULL, 0, 0 },/* 130 = rt_sigsuspend */
 	{ ns(struct linux_sys_sigaltstack_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sigaltstack },/* 131 = sigaltstack */
+	    (sy_call_t *)linux_sys_sigaltstack, NULL, 0, 0 },/* 131 = sigaltstack */
 	{ ns(struct linux_sys_utime_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_utime },	/* 132 = utime */
+	    (sy_call_t *)linux_sys_utime, NULL, 0, 0 },	/* 132 = utime */
 	{ ns(struct linux_sys_mknod_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_mknod },	/* 133 = mknod */
+	    (sy_call_t *)linux_sys_mknod, NULL, 0, 0 },	/* 133 = mknod */
 #ifdef EXEC_AOUT
 	{ ns(struct linux_sys_uselib_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_uselib },	/* 134 = uselib */
+	    (sy_call_t *)linux_sys_uselib, NULL, 0, 0 },	/* 134 = uselib */
 #else
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 134 = unimplemented sys_uselib */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 134 = unimplemented sys_uselib */
 #endif
 	{ ns(struct linux_sys_personality_args), 0,
-	    (sy_call_t *)linux_sys_personality },/* 135 = personality */
+	    (sy_call_t *)linux_sys_personality, NULL, 0, 0 },/* 135 = personality */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 136 = unimplemented ustat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 136 = unimplemented ustat */
 	{ ns(struct linux_sys_statfs_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_statfs },	/* 137 = statfs */
+	    (sy_call_t *)linux_sys_statfs, NULL, 0, 0 },	/* 137 = statfs */
 	{ ns(struct linux_sys_fstatfs_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_fstatfs },	/* 138 = fstatfs */
+	    (sy_call_t *)linux_sys_fstatfs, NULL, 0, 0 },	/* 138 = fstatfs */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 139 = unimplemented sysfs */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 139 = unimplemented sysfs */
 	{ ns(struct linux_sys_getpriority_args), 0,
-	    (sy_call_t *)linux_sys_getpriority },/* 140 = getpriority */
+	    (sy_call_t *)linux_sys_getpriority, NULL, 0, 0 },/* 140 = getpriority */
 	{ ns(struct sys_setpriority_args), 0,
-	    (sy_call_t *)sys_setpriority },	/* 141 = setpriority */
+	    (sy_call_t *)sys_setpriority, NULL, 0, 0 },	/* 141 = setpriority */
 	{ ns(struct linux_sys_sched_setparam_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sched_setparam },/* 142 = sched_setparam */
+	    (sy_call_t *)linux_sys_sched_setparam, NULL, 0, 0 },/* 142 = sched_setparam */
 	{ ns(struct linux_sys_sched_getparam_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sched_getparam },/* 143 = sched_getparam */
+	    (sy_call_t *)linux_sys_sched_getparam, NULL, 0, 0 },/* 143 = sched_getparam */
 	{ ns(struct linux_sys_sched_setscheduler_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sched_setscheduler },/* 144 = sched_setscheduler */
+	    (sy_call_t *)linux_sys_sched_setscheduler, NULL, 0, 0 },/* 144 = sched_setscheduler */
 	{ ns(struct linux_sys_sched_getscheduler_args), 0,
-	    (sy_call_t *)linux_sys_sched_getscheduler },/* 145 = sched_getscheduler */
+	    (sy_call_t *)linux_sys_sched_getscheduler, NULL, 0, 0 },/* 145 = sched_getscheduler */
 	{ ns(struct linux_sys_sched_get_priority_max_args), 0,
-	    (sy_call_t *)linux_sys_sched_get_priority_max },/* 146 = sched_get_priority_max */
+	    (sy_call_t *)linux_sys_sched_get_priority_max, NULL, 0, 0 },/* 146 = sched_get_priority_max */
 	{ ns(struct linux_sys_sched_get_priority_min_args), 0,
-	    (sy_call_t *)linux_sys_sched_get_priority_min },/* 147 = sched_get_priority_min */
+	    (sy_call_t *)linux_sys_sched_get_priority_min, NULL, 0, 0 },/* 147 = sched_get_priority_min */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 148 = unimplemented sys_sched_rr_get_interval */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 148 = unimplemented sys_sched_rr_get_interval */
 	{ ns(struct sys_mlock_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_mlock },		/* 149 = mlock */
+	    (sy_call_t *)sys_mlock, NULL, 0, 0 },		/* 149 = mlock */
 	{ ns(struct sys_munlock_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_munlock },		/* 150 = munlock */
+	    (sy_call_t *)sys_munlock, NULL, 0, 0 },		/* 150 = munlock */
 	{ ns(struct sys_mlockall_args), 0,
-	    (sy_call_t *)sys_mlockall },	/* 151 = mlockall */
+	    (sy_call_t *)sys_mlockall, NULL, 0, 0 },	/* 151 = mlockall */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_munlockall },	/* 152 = munlockall */
+	    (sy_call_t *)sys_munlockall, NULL, 0, 0 },	/* 152 = munlockall */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 153 = unimplemented vhangup */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 153 = unimplemented vhangup */
 	{ ns(struct linux_sys_modify_ldt_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_modify_ldt },/* 154 = modify_ldt */
+	    (sy_call_t *)linux_sys_modify_ldt, NULL, 0, 0 },/* 154 = modify_ldt */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 155 = unimplemented pivot_root */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 155 = unimplemented pivot_root */
 	{ ns(struct linux_sys___sysctl_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys___sysctl },	/* 156 = __sysctl */
+	    (sy_call_t *)linux_sys___sysctl, NULL, 0, 0 },	/* 156 = __sysctl */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 157 = unimplemented prctl */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 157 = unimplemented prctl */
 	{ ns(struct linux_sys_arch_prctl_args), 0,
-	    (sy_call_t *)linux_sys_arch_prctl },/* 158 = arch_prctl */
+	    (sy_call_t *)linux_sys_arch_prctl, NULL, 0, 0 },/* 158 = arch_prctl */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 159 = unimplemented adjtimex */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 159 = unimplemented adjtimex */
 	{ ns(struct linux_sys_setrlimit_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_setrlimit },	/* 160 = setrlimit */
+	    (sy_call_t *)linux_sys_setrlimit, NULL, 0, 0 },	/* 160 = setrlimit */
 	{ ns(struct sys_chroot_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_chroot },		/* 161 = chroot */
+	    (sy_call_t *)sys_chroot, NULL, 0, 0 },		/* 161 = chroot */
 	{ 0, 0, 0,
-	    (sy_call_t *)sys_sync },		/* 162 = sync */
+	    (sy_call_t *)sys_sync, NULL, 0, 0 },		/* 162 = sync */
 	{ ns(struct sys_acct_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)sys_acct },		/* 163 = acct */
+	    (sy_call_t *)sys_acct, NULL, 0, 0 },		/* 163 = acct */
 	{ ns(struct linux_sys_settimeofday_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_settimeofday },/* 164 = settimeofday */
+	    (sy_call_t *)linux_sys_settimeofday, NULL, 0, 0 },/* 164 = settimeofday */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 165 = unimplemented mount */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 165 = unimplemented mount */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 166 = unimplemented umount2 */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 166 = unimplemented umount2 */
 	{ ns(struct linux_sys_swapon_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_swapon },	/* 167 = swapon */
+	    (sy_call_t *)linux_sys_swapon, NULL, 0, 0 },	/* 167 = swapon */
 	{ ns(struct linux_sys_swapoff_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_swapoff },	/* 168 = swapoff */
+	    (sy_call_t *)linux_sys_swapoff, NULL, 0, 0 },	/* 168 = swapoff */
 	{ ns(struct linux_sys_reboot_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_reboot },	/* 169 = reboot */
+	    (sy_call_t *)linux_sys_reboot, NULL, 0, 0 },	/* 169 = reboot */
 	{ ns(struct compat_43_sys_sethostname_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)compat_43_sys_sethostname },/* 170 = sethostname */
+	    (sy_call_t *)compat_43_sys_sethostname, NULL, 0, 0 },/* 170 = sethostname */
 	{ ns(struct linux_sys_setdomainname_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_setdomainname },/* 171 = setdomainname */
+	    (sy_call_t *)linux_sys_setdomainname, NULL, 0, 0 },/* 171 = setdomainname */
 	{ ns(struct linux_sys_iopl_args), 0,
-	    (sy_call_t *)linux_sys_iopl },	/* 172 = iopl */
+	    (sy_call_t *)linux_sys_iopl, NULL, 0, 0 },	/* 172 = iopl */
 	{ ns(struct linux_sys_ioperm_args), 0,
-	    (sy_call_t *)linux_sys_ioperm },	/* 173 = ioperm */
+	    (sy_call_t *)linux_sys_ioperm, NULL, 0, 0 },	/* 173 = ioperm */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 174 = unimplemented create_module */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 174 = unimplemented create_module */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 175 = unimplemented init_module */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 175 = unimplemented init_module */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 176 = unimplemented delete_module */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 176 = unimplemented delete_module */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 177 = unimplemented get_kernel_syms */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 177 = unimplemented get_kernel_syms */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 178 = unimplemented query_module */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 178 = unimplemented query_module */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 179 = unimplemented quotactl */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 179 = unimplemented quotactl */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 180 = unimplemented nfsservctl */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 180 = unimplemented nfsservctl */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 181 = unimplemented getpmsg */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 181 = unimplemented getpmsg */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 182 = unimplemented putpmsg */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 182 = unimplemented putpmsg */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 183 = unimplemented afs_syscall */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 183 = unimplemented afs_syscall */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 184 = unimplemented tuxcall */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 184 = unimplemented tuxcall */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 185 = unimplemented security */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 185 = unimplemented security */
 	{ 0, 0, 0,
-	    (sy_call_t *)linux_sys_gettid },	/* 186 = gettid */
+	    (sy_call_t *)linux_sys_gettid, NULL, 0, 0 },	/* 186 = gettid */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 187 = unimplemented readahead */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 187 = unimplemented readahead */
 	{ ns(struct linux_sys_setxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_setxattr },	/* 188 = setxattr */
+	    (sy_call_t *)linux_sys_setxattr, NULL, 0, 0 },	/* 188 = setxattr */
 	{ ns(struct linux_sys_lsetxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_lsetxattr },	/* 189 = lsetxattr */
+	    (sy_call_t *)linux_sys_lsetxattr, NULL, 0, 0 },	/* 189 = lsetxattr */
 	{ ns(struct linux_sys_fsetxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_fsetxattr },	/* 190 = fsetxattr */
+	    (sy_call_t *)linux_sys_fsetxattr, NULL, 0, 0 },	/* 190 = fsetxattr */
 	{ ns(struct linux_sys_getxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getxattr },	/* 191 = getxattr */
+	    (sy_call_t *)linux_sys_getxattr, NULL, 0, 0 },	/* 191 = getxattr */
 	{ ns(struct linux_sys_lgetxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_lgetxattr },	/* 192 = lgetxattr */
+	    (sy_call_t *)linux_sys_lgetxattr, NULL, 0, 0 },	/* 192 = lgetxattr */
 	{ ns(struct linux_sys_fgetxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_fgetxattr },	/* 193 = fgetxattr */
+	    (sy_call_t *)linux_sys_fgetxattr, NULL, 0, 0 },	/* 193 = fgetxattr */
 	{ ns(struct linux_sys_listxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_listxattr },	/* 194 = listxattr */
+	    (sy_call_t *)linux_sys_listxattr, NULL, 0, 0 },	/* 194 = listxattr */
 	{ ns(struct linux_sys_llistxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_llistxattr },/* 195 = llistxattr */
+	    (sy_call_t *)linux_sys_llistxattr, NULL, 0, 0 },/* 195 = llistxattr */
 	{ ns(struct linux_sys_flistxattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_flistxattr },/* 196 = flistxattr */
+	    (sy_call_t *)linux_sys_flistxattr, NULL, 0, 0 },/* 196 = flistxattr */
 	{ ns(struct linux_sys_removexattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_removexattr },/* 197 = removexattr */
+	    (sy_call_t *)linux_sys_removexattr, NULL, 0, 0 },/* 197 = removexattr */
 	{ ns(struct linux_sys_lremovexattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_lremovexattr },/* 198 = lremovexattr */
+	    (sy_call_t *)linux_sys_lremovexattr, NULL, 0, 0 },/* 198 = lremovexattr */
 	{ ns(struct linux_sys_fremovexattr_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_fremovexattr },/* 199 = fremovexattr */
+	    (sy_call_t *)linux_sys_fremovexattr, NULL, 0, 0 },/* 199 = fremovexattr */
 	{ ns(struct linux_sys_tkill_args), 0,
-	    (sy_call_t *)linux_sys_tkill },	/* 200 = tkill */
+	    (sy_call_t *)linux_sys_tkill, NULL, 0, 0 },	/* 200 = tkill */
 	{ ns(struct linux_sys_time_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_time },	/* 201 = time */
+	    (sy_call_t *)linux_sys_time, NULL, 0, 0 },	/* 201 = time */
 	{ ns(struct linux_sys_futex_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_futex },	/* 202 = futex */
+	    (sy_call_t *)linux_sys_futex, NULL, 0, 0 },	/* 202 = futex */
 	{ ns(struct linux_sys_sched_setaffinity_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sched_setaffinity },/* 203 = sched_setaffinity */
+	    (sy_call_t *)linux_sys_sched_setaffinity, NULL, 0, 0 },/* 203 = sched_setaffinity */
 	{ ns(struct linux_sys_sched_getaffinity_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_sched_getaffinity },/* 204 = sched_getaffinity */
+	    (sy_call_t *)linux_sys_sched_getaffinity, NULL, 0, 0 },/* 204 = sched_getaffinity */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 205 = unimplemented set_thread_area */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 205 = unimplemented set_thread_area */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 206 = unimplemented io_setup */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 206 = unimplemented io_setup */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 207 = unimplemented io_destroy */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 207 = unimplemented io_destroy */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 208 = unimplemented io_getevents */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 208 = unimplemented io_getevents */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 209 = unimplemented io_submit */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 209 = unimplemented io_submit */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 210 = unimplemented io_cancel */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 210 = unimplemented io_cancel */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 211 = unimplemented get_thread_area */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 211 = unimplemented get_thread_area */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 212 = unimplemented lookup_dcookie */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 212 = unimplemented lookup_dcookie */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 213 = unimplemented epoll_create */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 213 = unimplemented epoll_create */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 214 = unimplemented epoll_ctl_old */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 214 = unimplemented epoll_ctl_old */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 215 = unimplemented epoll_wait_old */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 215 = unimplemented epoll_wait_old */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 216 = unimplemented remap_file_pages */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 216 = unimplemented remap_file_pages */
 	{ ns(struct linux_sys_getdents64_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_getdents64 },/* 217 = getdents64 */
+	    (sy_call_t *)linux_sys_getdents64, NULL, 0, 0 },/* 217 = getdents64 */
 	{ ns(struct linux_sys_set_tid_address_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_set_tid_address },/* 218 = set_tid_address */
+	    (sy_call_t *)linux_sys_set_tid_address, NULL, 0, 0 },/* 218 = set_tid_address */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 219 = unimplemented restart_syscall */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 219 = unimplemented restart_syscall */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 220 = unimplemented semtimedop */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 220 = unimplemented semtimedop */
 	{ ns(struct linux_sys_fadvise64_args), 0,
-	    (sy_call_t *)linux_sys_fadvise64 },	/* 221 = fadvise64 */
+	    (sy_call_t *)linux_sys_fadvise64, NULL, 0, 0 },	/* 221 = fadvise64 */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 222 = unimplemented timer_create */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 222 = unimplemented timer_create */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 223 = unimplemented timer_settime */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 223 = unimplemented timer_settime */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 224 = unimplemented timer_gettime */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 224 = unimplemented timer_gettime */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 225 = unimplemented timer_getoverrun */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 225 = unimplemented timer_getoverrun */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 226 = unimplemented timer_delete */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 226 = unimplemented timer_delete */
 	{ ns(struct linux_sys_clock_settime_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_clock_settime },/* 227 = clock_settime */
+	    (sy_call_t *)linux_sys_clock_settime, NULL, 0, 0 },/* 227 = clock_settime */
 	{ ns(struct linux_sys_clock_gettime_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_clock_gettime },/* 228 = clock_gettime */
+	    (sy_call_t *)linux_sys_clock_gettime, NULL, 0, 0 },/* 228 = clock_gettime */
 	{ ns(struct linux_sys_clock_getres_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_clock_getres },/* 229 = clock_getres */
+	    (sy_call_t *)linux_sys_clock_getres, NULL, 0, 0 },/* 229 = clock_getres */
 	{ ns(struct linux_sys_clock_nanosleep_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_clock_nanosleep },/* 230 = clock_nanosleep */
+	    (sy_call_t *)linux_sys_clock_nanosleep, NULL, 0, 0 },/* 230 = clock_nanosleep */
 	{ ns(struct linux_sys_exit_group_args), 0,
-	    (sy_call_t *)linux_sys_exit_group },/* 231 = exit_group */
+	    (sy_call_t *)linux_sys_exit_group, NULL, 0, 0 },/* 231 = exit_group */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 232 = unimplemented epoll_wait */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 232 = unimplemented epoll_wait */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 233 = unimplemented epoll_ctl */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 233 = unimplemented epoll_ctl */
 	{ ns(struct linux_sys_tgkill_args), 0,
-	    (sy_call_t *)linux_sys_tgkill },	/* 234 = tgkill */
+	    (sy_call_t *)linux_sys_tgkill, NULL, 0, 0 },	/* 234 = tgkill */
 	{ ns(struct linux_sys_utimes_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_utimes },	/* 235 = utimes */
+	    (sy_call_t *)linux_sys_utimes, NULL, 0, 0 },	/* 235 = utimes */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 236 = unimplemented vserver */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 236 = unimplemented vserver */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 237 = unimplemented mbind */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 237 = unimplemented mbind */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 238 = unimplemented set_mempolicy */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 238 = unimplemented set_mempolicy */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 239 = unimplemented get_mempolicy */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 239 = unimplemented get_mempolicy */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 240 = unimplemented mq_open */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 240 = unimplemented mq_open */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 241 = unimplemented mq_unlink */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 241 = unimplemented mq_unlink */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 242 = unimplemented mq_timedsend */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 242 = unimplemented mq_timedsend */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 243 = unimplemented mq_timedreceive */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 243 = unimplemented mq_timedreceive */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 244 = unimplemented mq_notify */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 244 = unimplemented mq_notify */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 245 = unimplemented mq_getsetattr */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 245 = unimplemented mq_getsetattr */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 246 = unimplemented kexec_load */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 246 = unimplemented kexec_load */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 247 = unimplemented waitid */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 247 = unimplemented waitid */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 248 = unimplemented add_key */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 248 = unimplemented add_key */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 249 = unimplemented request_key */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 249 = unimplemented request_key */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 250 = unimplemented keyctl */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 250 = unimplemented keyctl */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 251 = unimplemented ioprio_set */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 251 = unimplemented ioprio_set */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 252 = unimplemented ioprio_get */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 252 = unimplemented ioprio_get */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 253 = unimplemented inotify_init */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 253 = unimplemented inotify_init */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 254 = unimplemented inotify_add_watch */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 254 = unimplemented inotify_add_watch */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 255 = unimplemented inotify_rm_watch */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 255 = unimplemented inotify_rm_watch */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 256 = unimplemented migrate_pages */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 256 = unimplemented migrate_pages */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 257 = unimplemented openat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 257 = unimplemented openat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 258 = unimplemented mkdirat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 258 = unimplemented mkdirat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 259 = unimplemented mknodat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 259 = unimplemented mknodat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 260 = unimplemented fchownat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 260 = unimplemented fchownat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 261 = unimplemented futimesat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 261 = unimplemented futimesat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 262 = unimplemented newfstatat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 262 = unimplemented newfstatat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 263 = unimplemented unlinkat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 263 = unimplemented unlinkat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 264 = unimplemented renameat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 264 = unimplemented renameat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 265 = unimplemented linkat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 265 = unimplemented linkat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 266 = unimplemented symlinkat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 266 = unimplemented symlinkat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 267 = unimplemented readlinkat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 267 = unimplemented readlinkat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 268 = unimplemented fchmodat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 268 = unimplemented fchmodat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 269 = unimplemented faccessat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 269 = unimplemented faccessat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 270 = unimplemented pselect6 */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 270 = unimplemented pselect6 */
 	{ ns(struct linux_sys_ppoll_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_ppoll },	/* 271 = ppoll */
+	    (sy_call_t *)linux_sys_ppoll, NULL, 0, 0 },	/* 271 = ppoll */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 272 = unimplemented unshare */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 272 = unimplemented unshare */
 	{ ns(struct linux_sys_set_robust_list_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_set_robust_list },/* 273 = set_robust_list */
+	    (sy_call_t *)linux_sys_set_robust_list, NULL, 0, 0 },/* 273 = set_robust_list */
 	{ ns(struct linux_sys_get_robust_list_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_get_robust_list },/* 274 = get_robust_list */
+	    (sy_call_t *)linux_sys_get_robust_list, NULL, 0, 0 },/* 274 = get_robust_list */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 275 = unimplemented splice */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 275 = unimplemented splice */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 276 = unimplemented tee */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 276 = unimplemented tee */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 277 = unimplemented sync_file_range */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 277 = unimplemented sync_file_range */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 278 = unimplemented vmsplice */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 278 = unimplemented vmsplice */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 279 = unimplemented move_pages */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 279 = unimplemented move_pages */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 280 = unimplemented utimensat */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 280 = unimplemented utimensat */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 281 = unimplemented epoll_pwait */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 281 = unimplemented epoll_pwait */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 282 = unimplemented signalfd */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 282 = unimplemented signalfd */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 283 = unimplemented timerfd_create */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 283 = unimplemented timerfd_create */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 284 = unimplemented eventfd */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 284 = unimplemented eventfd */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 285 = unimplemented fallocate */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 285 = unimplemented fallocate */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 286 = unimplemented timerfd_settime */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 286 = unimplemented timerfd_settime */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 287 = unimplemented timerfd_gettime */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 287 = unimplemented timerfd_gettime */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 288 = unimplemented accept4 */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 288 = unimplemented accept4 */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 289 = unimplemented signalfd4 */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 289 = unimplemented signalfd4 */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 290 = unimplemented eventfd2 */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 290 = unimplemented eventfd2 */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 291 = unimplemented epoll_create1 */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 291 = unimplemented epoll_create1 */
 	{ ns(struct linux_sys_dup3_args), 0,
-	    (sy_call_t *)linux_sys_dup3 },	/* 292 = dup3 */
+	    (sy_call_t *)linux_sys_dup3, NULL, 0, 0 },	/* 292 = dup3 */
 	{ ns(struct linux_sys_pipe2_args), SYCALL_ARG_PTR,
-	    (sy_call_t *)linux_sys_pipe2 },	/* 293 = pipe2 */
+	    (sy_call_t *)linux_sys_pipe2, NULL, 0, 0 },	/* 293 = pipe2 */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 294 = unimplemented inotify_init1 */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 294 = unimplemented inotify_init1 */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 295 = unimplemented preadv */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 295 = unimplemented preadv */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 296 = unimplemented pwritev */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 296 = unimplemented pwritev */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 297 = unimplemented rt_tgsigqueueinfo */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 297 = unimplemented rt_tgsigqueueinfo */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 298 = unimplemented perf_counter_open */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 298 = unimplemented perf_counter_open */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 299 = unimplemented recvmmsg */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 299 = unimplemented recvmmsg */
 	{ 0, 0, 0,
-	    (sy_call_t *)linux_sys_nosys },	/* 300 = nosys */
+	    (sy_call_t *)linux_sys_nosys, NULL, 0, 0 },	/* 300 = nosys */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 301 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 301 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 302 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 302 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 303 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 303 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 304 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 304 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 305 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 305 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 306 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 306 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 307 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 307 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 308 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 308 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 309 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 309 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 310 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 310 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 311 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 311 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 312 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 312 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 313 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 313 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 314 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 314 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 315 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 315 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 316 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 316 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 317 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 317 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 318 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 318 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 319 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 319 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 320 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 320 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 321 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 321 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 322 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 322 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 323 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 323 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 324 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 324 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 325 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 325 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 326 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 326 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 327 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 327 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 328 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 328 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 329 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 329 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 330 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 330 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 331 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 331 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 332 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 332 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 333 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 333 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 334 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 334 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 335 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 335 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 336 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 336 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 337 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 337 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 338 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 338 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 339 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 339 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 340 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 340 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 341 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 341 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 342 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 342 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 343 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 343 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 344 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 344 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 345 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 345 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 346 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 346 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 347 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 347 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 348 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 348 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 349 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 349 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 350 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 350 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 351 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 351 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 352 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 352 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 353 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 353 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 354 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 354 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 355 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 355 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 356 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 356 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 357 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 357 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 358 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 358 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 359 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 359 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 360 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 360 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 361 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 361 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 362 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 362 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 363 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 363 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 364 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 364 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 365 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 365 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 366 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 366 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 367 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 367 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 368 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 368 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 369 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 369 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 370 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 370 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 371 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 371 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 372 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 372 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 373 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 373 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 374 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 374 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 375 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 375 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 376 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 376 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 377 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 377 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 378 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 378 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 379 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 379 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 380 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 380 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 381 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 381 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 382 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 382 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 383 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 383 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 384 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 384 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 385 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 385 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 386 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 386 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 387 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 387 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 388 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 388 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 389 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 389 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 390 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 390 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 391 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 391 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 392 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 392 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 393 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 393 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 394 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 394 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 395 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 395 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 396 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 396 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 397 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 397 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 398 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 398 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 399 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 399 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 400 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 400 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 401 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 401 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 402 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 402 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 403 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 403 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 404 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 404 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 405 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 405 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 406 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 406 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 407 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 407 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 408 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 408 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 409 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 409 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 410 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 410 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 411 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 411 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 412 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 412 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 413 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 413 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 414 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 414 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 415 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 415 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 416 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 416 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 417 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 417 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 418 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 418 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 419 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 419 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 420 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 420 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 421 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 421 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 422 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 422 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 423 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 423 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 424 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 424 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 425 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 425 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 426 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 426 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 427 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 427 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 428 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 428 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 429 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 429 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 430 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 430 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 431 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 431 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 432 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 432 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 433 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 433 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 434 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 434 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 435 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 435 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 436 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 436 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 437 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 437 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 438 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 438 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 439 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 439 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 440 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 440 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 441 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 441 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 442 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 442 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 443 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 443 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 444 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 444 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 445 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 445 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 446 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 446 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 447 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 447 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 448 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 448 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 449 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 449 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 450 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 450 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 451 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 451 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 452 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 452 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 453 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 453 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 454 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 454 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 455 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 455 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 456 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 456 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 457 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 457 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 458 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 458 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 459 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 459 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 460 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 460 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 461 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 461 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 462 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 462 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 463 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 463 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 464 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 464 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 465 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 465 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 466 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 466 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 467 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 467 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 468 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 468 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 469 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 469 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 470 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 470 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 471 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 471 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 472 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 472 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 473 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 473 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 474 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 474 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 475 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 475 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 476 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 476 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 477 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 477 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 478 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 478 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 479 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 479 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 480 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 480 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 481 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 481 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 482 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 482 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 483 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 483 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 484 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 484 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 485 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 485 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 486 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 486 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 487 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 487 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 488 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 488 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 489 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 489 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 490 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 490 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 491 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 491 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 492 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 492 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 493 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 493 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 494 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 494 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 495 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 495 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 496 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 496 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 497 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 497 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 498 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 498 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 499 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 499 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 500 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 500 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 501 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 501 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 502 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 502 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 503 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 503 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 504 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 504 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 505 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 505 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 506 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 506 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 507 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 507 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 508 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 508 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 509 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 509 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 510 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 510 = filler */
 	{ 0, 0, 0,
-	    linux_sys_nosys },			/* 511 = filler */
+	    linux_sys_nosys, NULL, 0, 0 },			/* 511 = filler */
 };
